function [string,ixc]=updaterho_water(md,ixc,dvar,i)

ixc=ixc+1;
if strcmpi(md.analysis_driver,'matlab')
    string=sprintf('\tmd.rho_water=Dakota.xC(%d);\n',ixc);
else
    string=sprintf('\tmd.rho_water={%s};\n',dvar(i).descriptor);
end

end
